<?php
/**
 * Initialize the meta boxes. 
 */
add_action( 'admin_init', '_custom_meta_boxes' );

/**
 * Meta Boxes demo code.
 *
 * You can find all the available option types
 * in demo-theme-options.php.
 *
 * @return    void
 *
 * @access    private
 * @since     2.0
 */
function _custom_meta_boxes() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $my_meta_box1 = array(
    'id'          => 'my_meta_box1',
    'title'       => 'Menu Post Options',
    'desc'        => '',
    'pages'       => array('post_menu'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      
        
         array(
        'label'       => 'Header Image (For single post page)',
        'id'          => 'headerimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
       array(
        'label'       => 'Thumbnail Image',
        'id'          => 'menuimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
           array(
        'label'       => 'Allow Sidebar On This Page?',
        'id'          => 'sidebar',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
         $testingSlider = array(
        'label'       => 'Page Slider',
        'id'          => 'pageSlider',
        'type'        => 'list-item',
     
        'settings'    => array(
          array(
            'label'       => 'Upload',
            'id'          => 'pageSliderImg',
            'type'        => 'upload',

            'std'         => '',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'class'       => ''
          ),
       
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'general_default'
      ),
         array(
        'label'       => 'Price',
        'id'          => 'menuprice',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
         array(
        'label'       => 'Currency ($)',
        'id'          => 'menucurrency',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
         array(
        'label'       => 'Price (smaller info)',
        'id'          => 'menupricesmall',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        array(
        'label'       => 'Tag',
        'id'          => 'menutag',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      )

  	)
  );
  
   $my_meta_box7 = array(
    'id'          => 'my_meta_box7',
    'title'       => 'Events Post Options',
    'desc'        => '',
    'pages'       => array('post_events'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      
       array(
        'label'       => 'Image',
        'id'          => 'bigimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
             array(
        'label'       => 'Allow Sidebar On This Page?',
        'id'          => 'sidebar',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
       $testingSlider = array(
        'label'       => 'Page Slider',
        'id'          => 'pageSlider',
        'type'        => 'list-item',
     
        'settings'    => array(
          array(
            'label'       => 'Upload',
            'id'          => 'pageSliderImg',
            'type'        => 'upload',

            'std'         => '',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'class'       => ''
          ),
       
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'general_default'
      ),
         array(
        'label'       => 'Allow Event Module On This Page?',
        'id'          => 'eventModule',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
         array(
        'label'       => 'Facebook Button Text',
        'id'          => 'facebooktext',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
         array(
        'label'       => 'Facebook Button URL',
        'id'          => 'facebookurl',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
        array(
        'label'       => 'Date',
        'id'          => 'eventsdate',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
               
     
        
          array(
        'label'       => 'Info 1 (Use H3 + text, like this < h3>TIME</h3> 5:00PM to 9:00PM)',
        'id'          => 'info1',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 2 (Use H3 + text, like this < h3>TIME</h3> 5:00PM to 9:00PM)',
        'id'          => 'info2',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 3 (Use H3 + text, like this < h3>TIME</h3> 5:00PM to 9:00PM)',
        'id'          => 'info3',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 4 (Use H3 + text, like this < h3>TIME</h3> 5:00PM to 9:00PM)',
        'id'          => 'info4',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),

  	)
  );
  
    $my_meta_box8 = array(
    'id'          => 'my_meta_box8',
    'title'       => 'Staff Post Options',
    'desc'        => '',
    'pages'       => array('post_staff'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      
       array(
        'label'       => 'Image',
        'id'          => 'bigimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
         array(
        'label'       => 'Allow Sidebar On This Page?',
        'id'          => 'sidebar',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
       $testingSlider = array(
        'label'       => 'Page Slider',
        'id'          => 'pageSlider',
        'type'        => 'list-item',
     
        'settings'    => array(
          array(
            'label'       => 'Upload',
            'id'          => 'pageSliderImg',
            'type'        => 'upload',

            'std'         => '',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'class'       => ''
          ),
       
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'general_default'
      ),
        
          array(
        'label'       => 'Info 1',
        'id'          => 'info1',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 2',
        'id'          => 'info2',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 3',
        'id'          => 'info3',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Info 4',
        'id'          => 'info4',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),

  	)
  );
  
    
    $my_meta_box2 = array(
    'id'          => 'my_meta_box2',
    'title'       => 'Pages Options',
    'desc'        => '',
    'pages'       => array( 'page'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      
   
      array(
        'label'       => 'Header Image',
        'id'          => 'headerimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
         array(
        'label'       => 'Allow Sidebar On This Page?',
        'id'          => 'sidebar',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
       $testingSlider = array(
        'label'       => 'Page Slider',
        'id'          => 'pageSlider',
        'type'        => 'list-item',
     
        'settings'    => array(
          array(
            'label'       => 'Upload',
            'id'          => 'pageSliderImg',
            'type'        => 'upload',

            'std'         => '',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'class'       => ''
          ),
       
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'general_default'
      ),

  	)
  );
    

            $my_meta_box5 = array(
    'id'          => 'my_meta_box5',
    'title'       => 'Post Options',
    'desc'        => '',
    'pages'       => array('post'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      
      array(
        'label'       => 'Thumbnail Image',
        'id'          => 'bigimg',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
        
          array(
        'label'       => 'Allow Sidebar On This Page?',
        'id'          => 'sidebar',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
            array(
            'label'       => 'Make your choice',
            'value'       => 'choice'
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'maybe',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'miscellaneous'
      ),
       $testingSlider = array(
        'label'       => 'Page Slider',
        'id'          => 'pageSlider',
        'type'        => 'list-item',
     
        'settings'    => array(
          array(
            'label'       => 'Upload',
            'id'          => 'pageSliderImg',
            'type'        => 'upload',

            'std'         => '',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'class'       => ''
          ),
       
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'general_default'
      ),

         

  	)
  );  
            

  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */

  ot_register_meta_box( $my_meta_box1 );
  ot_register_meta_box( $my_meta_box2 );
  
              ot_register_meta_box( $my_meta_box5 );
           
                        ot_register_meta_box( $my_meta_box7 );
                             ot_register_meta_box( $my_meta_box8 );


}